import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { StoreDevtoolsModule } from '@ngrx/store-devtools';
import {
  StoreRouterConnectingModule,
  RouterStateSerializer,
} from '@ngrx/router-store';
import { EffectsModule } from '@ngrx/effects';
import { combineReducers, ActionReducer, ActionReducerMap, MetaReducer } from '@ngrx/store';

import * as AuthStore from './store/auth';
import * as SignupStore from './store/signup';


export interface State {
  auth: AuthStore.State;
  signup: SignupStore.Signup;
}

export const reducers = {
  auth: AuthStore.reducer,
  signup: SignupStore.reducer,
};

export const EFFECTS = [
  AuthStore.Effects,
  SignupStore.Effects,
];

@NgModule({
  imports: [
    StoreModule.forFeature('', reducers),
    EffectsModule.forFeature(EFFECTS),
  ],
})
export class MemberStoreModule { }
